## com.lowagie.toolbox.swing
Class CustomDialog

    java.lang.Object
      com.lowagie.toolbox.swing.CustomDialog

    public class CustomDialog

extends java.lang.Object

Since:
  2.1.1 (imported from itexttoolbox project)

Field Summary
`(package private) java.lang.Object[]` `array`
`(package private) javax.swing.JDialog` `dialog`
`(package private) javax.swing.JPanel` `jPanel1`
`(package private) java.lang.String` `msgString1`
`private javax.swing.JOptionPane` `optionPane`
`(package private) javax.swing.text.PlainDocument` `plainDocument`
`private javax.swing.JTextField` `textField`

Constructor Summary
`CustomDialog()`
`CustomDialog(java.lang.String msgstring, javax.swing.text.PlainDocument plainDocument)`

Method Summary
`static javax.swing.text.PlainDocument` `instantiateFloatDocument()`
`static javax.swing.text.PlainDocument` `instantiateIntegerDocument()`
`static javax.swing.text.PlainDocument` `instantiateStringDocument()`
`private void` `jbInit()`
`void` `setMsgString1(java.lang.String msgString1)`
`java.lang.String` `showInputDialog(java.lang.String startvalue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### dialog

    javax.swing.JDialog dialog

### textField

    private javax.swing.JTextField textField

### jPanel1

    javax.swing.JPanel jPanel1

### plainDocument

    javax.swing.text.PlainDocument plainDocument

### msgString1

    java.lang.String msgString1

### array

    java.lang.Object[] array

### optionPane

    private javax.swing.JOptionPane optionPane

Constructor Detail

### CustomDialog

    public CustomDialog(java.lang.String msgstring,
                        javax.swing.text.PlainDocument plainDocument)

### CustomDialog

    public CustomDialog()

Method Detail

### jbInit

    private void jbInit()
                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### instantiateFloatDocument

    public static javax.swing.text.PlainDocument instantiateFloatDocument()

### instantiateIntegerDocument

    public static javax.swing.text.PlainDocument instantiateIntegerDocument()

### instantiateStringDocument

    public static javax.swing.text.PlainDocument instantiateStringDocument()

### setMsgString1

    public void setMsgString1(java.lang.String msgString1)

### showInputDialog

    public java.lang.String showInputDialog(java.lang.String startvalue)

Hosted by Hostbasket